and Java5 doesn't seem to support PKCS12 when signing
authorStefan Bodewig <bodewig@apache.org>
Tue, 20 Mar 2018 14:42:06 +0000 (15:42 +0100)
committerStefan Bodewig <bodewig@apache.org>
Tue, 20 Mar 2018 14:42:06 +0000 (15:42 +0100)
src/tests/antunit/taskdefs/signjar-test.xml

index dd2722a..0faa94b 100644 (file)
@@ -68,7 +68,7 @@
     <sign />
   </target>
 
-  <target name="basic-pkcs12" depends="jar" unless="jdk9+">
+  <target name="basic-pkcs12" depends="jar" unless="jdk9+" if="jdk1.6+">
     <sign keystore="${testkeystore.pkcs12}" storetype="pkcs12" strict="true"/>
   </target>
 
     <verify-base jar="${signtest.jar}" />
   </target>
 
-  <target name="testVerifyJarPKCS12" depends="basic-pkcs12" unless="jdk9+">
+  <target name="testVerifyJarPKCS12" depends="basic-pkcs12"
+          unless="jdk9+" if="jdk1.6+">
     <verify-base-pkcs12 jar="${signtest.jar}" />
   </target>